// Project Lab - NHTV Igad

#pragma once
#include "DefaultPlayerController.h"
#include "KOTHPlayerController.generated.h"

UCLASS()
class UNREALPROJECT_API AKOTHPlayerController : public ADefaultPlayerController
{
	GENERATED_BODY()
public:
	virtual void BeginPlay() override;
	virtual void Tick(float DeltaSeconds) override;

	UPROPERTY(EditDefaultsOnly)
	TSubclassOf<class UKOTHHUD> kothHUD;

protected:
	virtual void m_OnPawnChanged();

private:
	class UKOTHHUD* m_kothhud;
};
